> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Solicitar Devolução

> Use este endpoint para solicitar uma devolução de uma recuperação de recursos. Isso só é permitido quando a recuperação de recursos está no status ANALYSED.

**Notas:**
- A solicitação de devolução dispara o fluxo de devolução do MED
- O status da recuperação de recursos passará para REFUNDING



## OpenAPI

````yaml pt/openapi/v3-current/indirect-pix.yaml POST /v1/dict/funds-recoveries/{funds_recovery_id}/refund
openapi: 3.0.3
info:
  title: Plugin BR Pix Indireto - API Completa
  description: |
    API completa para o sistema brasileiro de pagamentos instantâneos Pix,
    incluindo operações de dicionário de chaves Pix, geração/decodificação de
    QR Code, transações e limites de transações.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/funds-recoveries/{funds_recovery_id}/refund:
    post:
      tags:
        - Funds Recovery API
      summary: Solicitar Devolução
      description: >-
        Use este endpoint para solicitar uma devolução de uma recuperação de
        recursos. Isso só é permitido quando a recuperação de recursos está no
        status ANALYSED.


        **Notas:**

        - A solicitação de devolução dispara o fluxo de devolução do MED

        - O status da recuperação de recursos passará para REFUNDING
      parameters:
        - name: funds_recovery_id
          in: path
          description: ID da Recuperação de Recursos (formato UUID)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestFundsRecoveryRefundOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    RequestFundsRecoveryRefundOutput:
      properties:
        bacenFundsRecoveryId:
          example: 91d65e98-97c0-4b0f-b577-73625da1f9fc
          type: string
        contactInformation:
          $ref: '#/components/schemas/ContactInformation'
        createdAt:
          example: '2023-11-07T05:31:56Z'
          format: date-time
          type: string
        id:
          example: 550e8400-e29b-41d4-a716-446655440000
          type: string
        reportDetails:
          example: >-
            Cliente reportou ter recebido uma ligação de um falso funcionário do
            banco
          type: string
        reporterParticipant:
          example: '12345678'
          type: string
        rootTransactionId:
          example: E12345678202411241430ABCDEFGHIJK
          type: string
        situationType:
          enum:
            - SCAM
            - ACCOUNT_TAKEOVER
            - COERCION
            - FRAUDULENT_ACCESS
            - OTHER
            - UNKNOWN
          example: SCAM
          type: string
        status:
          enum:
            - CREATED
            - TRACKED
            - AWAITING_ANALYSIS
            - ANALYSED
            - REFUNDING
            - COMPLETED
            - CANCELLED
          example: CREATED
          type: string
        updatedAt:
          example: '2023-11-07T05:31:56Z'
          format: date-time
          type: string
      type: object
    ErrorFormat:
      type: object
      description: A mensagem de erro da resposta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Um identificador único e estável para o erro.
        title:
          type: string
          description: Um breve resumo do problema.
        message:
          type: string
          description: Orientação detalhada para resolver o erro.
    ContactInformation:
      properties:
        email:
          description: Email é o endereço de e-mail do cliente que está reportando a fraude
          example: customer@example.com
          type: string
        phone:
          description: |-
            Phone é o número de telefone do cliente que está reportando a fraude
            Formato: formato E.164 recomendado (por exemplo, +5511999999999)
          example: '+5511999999999'
          type: string
      required:
        - email
        - phone
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````